Subject: 27.0.90; how to debug point moving erratically?

From: William Rankin <[email-masked]>
Date: Sat, 07 Mar 2020 13:49:33 +1000

Hello,

I've been on the emacs-27 branch for about six months, and every now and then
the point will begin erratically jumping around the current buffer without
input. (I only got to addessing it now due to the impending release of 27.1.)

Some observations: This only happens about once a week. C-g has no effect.
There's no clues in *Messages* buffer. Point movement is beyond visible portion
of buffer. It usually happens in emacs-lisp-mode buffers that have been open a
few hours, but I've experienced it in other modes too.

It seems like it could be font-lock/jit-lock moving point around outside of a
save-excursion, but I know no way of confiming this.

How should I go about debugging this?

GNU Emacs 27.0.90 (build 2, x86_64-apple-darwin19.3.0, NS appkit-1894.30 Version
10.15.3 (Build 19D76)) of 2020-03-05